package os
import (
	πg "grumpy"
	π_grumpyΓlibΓosΓpath "grumpy/lib/os/path"
	π_grumpyΓlibΓstat "grumpy/lib/stat"
	π_grumpyΓlibΓsys "grumpy/lib/sys"
	π_os "os"
	π_pathΓfilepath "path/filepath"
	π_reflect "reflect"
	π_syscall "syscall"
	π_time "time"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßChdir := πg.InternStr("Chdir")
	ßChmod := πg.InternStr("Chmod")
	ßClose := πg.InternStr("Close")
	ßEnviron := πg.InternStr("Environ")
	ßError := πg.InternStr("Error")
	ßF_GETFD := πg.InternStr("F_GETFD")
	ßGetwd := πg.InternStr("Getwd")
	ßModTime := πg.InternStr("ModTime")
	ßMode := πg.InternStr("Mode")
	ßNewFileFromFD := πg.InternStr("NewFileFromFD")
	ßOSError := πg.InternStr("OSError")
	ßRemove := πg.InternStr("Remove")
	ßSYS_FCNTL := πg.InternStr("SYS_FCNTL")
	ßS_ISDIR := πg.InternStr("S_ISDIR")
	ßSecond := πg.InternStr("Second")
	ßSeparator := πg.InternStr("Separator")
	ßSize := πg.InternStr("Size")
	ßStat := πg.InternStr("Stat")
	ßStatResult := πg.InternStr("StatResult")
	ßSyscall := πg.InternStr("Syscall")
	ßUnixNano := πg.InternStr("UnixNano")
	ß__init__ := πg.InternStr("__init__")
	ß__metaclass__ := πg.InternStr("__metaclass__")
	ß__module__ := πg.InternStr("__module__")
	ß__name__ := πg.InternStr("__name__")
	ß_info := πg.InternStr("_info")
	ßchdir := πg.InternStr("chdir")
	ßchmod := πg.InternStr("chmod")
	ßchr := πg.InternStr("chr")
	ßclose := πg.InternStr("close")
	ßenviron := πg.InternStr("environ")
	ßfdopen := πg.InternStr("fdopen")
	ßfloat := πg.InternStr("float")
	ßgetcwd := πg.InternStr("getcwd")
	ßk := πg.InternStr("k")
	ßobject := πg.InternStr("object")
	ßpath := πg.InternStr("path")
	ßproperty := πg.InternStr("property")
	ßr := πg.InternStr("r")
	ßremove := πg.InternStr("remove")
	ßrmdir := πg.InternStr("rmdir")
	ßsep := πg.InternStr("sep")
	ßsplit := πg.InternStr("split")
	ßst_mode := πg.InternStr("st_mode")
	ßst_mtime := πg.InternStr("st_mtime")
	ßst_size := πg.InternStr("st_size")
	ßstat := πg.InternStr("stat")
	ßstat_module := πg.InternStr("stat_module")
	ßsys := πg.InternStr("sys")
	ßv := πg.InternStr("v")
	ßvar := πg.InternStr("var")
	var πTemp001 *πg.Object
	_ = πTemp001
	var πTemp002 []*πg.Object
	_ = πTemp002
	var πTemp003 map[string]*πg.Object
	_ = πTemp003
	var πTemp004 *πg.Object
	_ = πTemp004
	var πTemp005 *πg.Dict
	_ = πTemp005
	var πTemp006 *πg.Object
	_ = πTemp006
	var πTemp007 *πg.Object
	_ = πTemp007
	var πTemp008 *πg.Object
	_ = πTemp008
	var πTemp009 *πg.Object
	_ = πTemp009
	var πTemp010 *πg.Object
	_ = πTemp010
	var πTemp011 *πg.Object
	_ = πTemp011
	var πTemp012 []πg.FunctionArg
	_ = πTemp012
	var πTemp013 *πg.Object
	_ = πTemp013
	var πTemp014 *πg.Object
	_ = πTemp014
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 15: """Miscellaneous operating system interfaces."""
		πF.SetLineno(15)
		// line 18: from os import path
		πF.SetLineno(18)
		if πTemp002, πE = πg.ImportModule(πF, "os.path", []*πg.Code{Code, π_grumpyΓlibΓosΓpath.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[1]
		if πE = πF.Globals().SetItem(πF, ßpath.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 19: import stat as stat_module
		πF.SetLineno(19)
		if πTemp002, πE = πg.ImportModule(πF, "stat", []*πg.Code{π_grumpyΓlibΓstat.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßstat_module.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 20: import sys
		πF.SetLineno(20)
		if πTemp002, πE = πg.ImportModule(πF, "sys", []*πg.Code{π_grumpyΓlibΓsys.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßsys.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 21: from __go__.os import Chdir, Chmod, Environ, Getwd, Remove, Stat
		πF.SetLineno(21)
		πTemp003 = map[string]*πg.Object{}
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Chdir)); πE != nil {
			continue
		}
		πTemp003["Chdir"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Chmod)); πE != nil {
			continue
		}
		πTemp003["Chmod"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Environ)); πE != nil {
			continue
		}
		πTemp003["Environ"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Getwd)); πE != nil {
			continue
		}
		πTemp003["Getwd"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Remove)); πE != nil {
			continue
		}
		πTemp003["Remove"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Stat)); πE != nil {
			continue
		}
		πTemp003["Stat"] = πTemp004
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.os", πTemp003); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßChdir, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßChdir.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßChmod, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßChmod.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßEnviron, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßEnviron.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßGetwd, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßGetwd.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßRemove, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßRemove.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßStat, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßStat.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 22: from __go__.path.filepath import Separator
		πF.SetLineno(22)
		πTemp003 = map[string]*πg.Object{}
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_pathΓfilepath.Separator)); πE != nil {
			continue
		}
		πTemp003["Separator"] = πTemp004
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.path.filepath", πTemp003); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßSeparator, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßSeparator.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 23: from __go__.grumpy import NewFileFromFD
		πF.SetLineno(23)
		πTemp003 = map[string]*πg.Object{}
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(πg.NewFileFromFD)); πE != nil {
			continue
		}
		πTemp003["NewFileFromFD"] = πTemp004
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.grumpy", πTemp003); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßNewFileFromFD, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßNewFileFromFD.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 24: from __go__.syscall import Close, SYS_FCNTL, Syscall, F_GETFD
		πF.SetLineno(24)
		πTemp003 = map[string]*πg.Object{}
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_syscall.Close)); πE != nil {
			continue
		}
		πTemp003["Close"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_syscall.SYS_FCNTL)); πE != nil {
			continue
		}
		πTemp003["SYS_FCNTL"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_syscall.Syscall)); πE != nil {
			continue
		}
		πTemp003["Syscall"] = πTemp004
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_syscall.F_GETFD)); πE != nil {
			continue
		}
		πTemp003["F_GETFD"] = πTemp004
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.syscall", πTemp003); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßClose, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßClose.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßSYS_FCNTL, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßSYS_FCNTL.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßSyscall, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßSyscall.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßF_GETFD, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßF_GETFD.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 25: from __go__.time import Second
		πF.SetLineno(25)
		πTemp003 = map[string]*πg.Object{}
		if πTemp004, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_time.Second)); πE != nil {
			continue
		}
		πTemp003["Second"] = πTemp004
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.time", πTemp003); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßSecond, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßSecond.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 27: sep = chr(Separator)
		πF.SetLineno(27)
		πTemp002 = πF.MakeArgs(1)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßSeparator); πE != nil {
			continue
		}
		πTemp002[0] = πTemp001
		if πTemp001, πE = πg.ResolveGlobal(πF, ßchr); πE != nil {
			continue
		}
		if πTemp004, πE = πTemp001.Call(πF, πTemp002, nil); πE != nil {
			continue
		}
		πF.FreeArgs(πTemp002)
		if πE = πF.Globals().SetItem(πF, ßsep.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 29: environ = {}
		πF.SetLineno(29)
		πTemp005 = πg.NewDict()
		πTemp001 = πTemp005.ToObject()
		if πE = πF.Globals().SetItem(πF, ßenviron.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 30: for var in Environ():
		πF.SetLineno(30)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßEnviron); πE != nil {
			continue
		}
		if πTemp004, πE = πTemp001.Call(πF, nil, nil); πE != nil {
			continue
		}
		if πTemp001, πE = πg.Iter(πF, πTemp004); πE != nil {
			continue
		}
	Label1:
		if πTemp006, πE = πg.Next(πF, πTemp001); πE != nil {
			isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
			if exc != nil {
				πE = exc
				continue
			}
			if !isStop {
				continue
			}
			πE = nil
			πF.RestoreExc(nil, nil)
			goto Label2
		}
		if πE = πF.Globals().SetItem(πF, ßvar.ToObject(), πTemp006); πE != nil {
			continue
		}
		// line 31: k, v = var.split('=', 1)
		πF.SetLineno(31)
		πTemp002 = πF.MakeArgs(2)
		πTemp002[0] = πg.NewStr("=").ToObject()
		πTemp002[1] = πg.NewInt(1).ToObject()
		if πTemp007, πE = πg.ResolveGlobal(πF, ßvar); πE != nil {
			continue
		}
		if πTemp008, πE = πg.GetAttr(πF, πTemp007, ßsplit, nil); πE != nil {
			continue
		}
		if πTemp007, πE = πTemp008.Call(πF, πTemp002, nil); πE != nil {
			continue
		}
		πF.FreeArgs(πTemp002)
		if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp008}, πg.TieTarget{Target: &πTemp009}}}, πTemp007); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßk.ToObject(), πTemp008); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßv.ToObject(), πTemp009); πE != nil {
			continue
		}
		// line 32: environ[k] = v
		πF.SetLineno(32)
		if πTemp007, πE = πg.ResolveGlobal(πF, ßv); πE != nil {
			continue
		}
		if πE = πg.Tie(πF, πg.TieTarget{Target: &πTemp008}, πTemp007); πE != nil {
			continue
		}
		if πTemp009, πE = πg.ResolveGlobal(πF, ßenviron); πE != nil {
			continue
		}
		if πTemp011, πE = πg.ResolveGlobal(πF, ßk); πE != nil {
			continue
		}
		πTemp010 = πTemp011
		if πE = πg.SetItem(πF, πTemp009, πTemp010, πTemp008); πE != nil {
			continue
		}
		goto Label1
		goto Label2
	Label2:
		// line 35: def chdir(path):
		πF.SetLineno(35)
		πTemp012 = make([]πg.FunctionArg, 1)
		πTemp012[0] = πg.FunctionArg{Name: "path", Def: nil}
		πTemp001 = πg.NewFunction(πg.NewCode("chdir", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µpath *πg.Object = πArgs[0]; _ = µpath
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 bool
			_ = πTemp004
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 36: err = Chdir(path)
				πF.SetLineno(36)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µpath, "path"); πE != nil {
					continue
				}
				πTemp001[0] = µpath
				if πTemp002, πE = πg.ResolveGlobal(πF, ßChdir); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				µerr = πTemp003
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp004 {
					goto Label1
				}
				goto Label2
				// line 37: if err:
				πF.SetLineno(37)
			Label1:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp002, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 38: raise OSError(err.Error())
				πF.SetLineno(38)
				πE = πF.Raise(πTemp003, nil, nil)
				continue
				goto Label2
			Label2:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßchdir.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 41: def chmod(filepath, mode):
		πF.SetLineno(41)
		πTemp012 = make([]πg.FunctionArg, 2)
		πTemp012[0] = πg.FunctionArg{Name: "filepath", Def: nil}
		πTemp012[1] = πg.FunctionArg{Name: "mode", Def: nil}
		πTemp004 = πg.NewFunction(πg.NewCode("chmod", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µfilepath *πg.Object = πArgs[0]; _ = µfilepath
			var µmode *πg.Object = πArgs[1]; _ = µmode
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 []*πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 *πg.Object
			_ = πTemp006
			var πTemp007 bool
			_ = πTemp007
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 43: err = Chmod(filepath, stat(filepath).st_mode & ~0o777 | mode & 0o777)
				πF.SetLineno(43)
				πTemp001 = πF.MakeArgs(2)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp001[0] = µfilepath
				πTemp004 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp004[0] = µfilepath
				if πTemp005, πE = πg.ResolveGlobal(πF, ßstat); πE != nil {
					continue
				}
				if πTemp006, πE = πTemp005.Call(πF, πTemp004, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp004)
				if πTemp005, πE = πg.GetAttr(πF, πTemp006, ßst_mode, nil); πE != nil {
					continue
				}
				if πTemp006, πE = πg.Invert(πF, πg.NewInt(511).ToObject()); πE != nil {
					continue
				}
				if πTemp003, πE = πg.And(πF, πTemp005, πTemp006); πE != nil {
					continue
				}
				if πE = πg.CheckLocal(πF, µmode, "mode"); πE != nil {
					continue
				}
				if πTemp005, πE = πg.And(πF, µmode, πg.NewInt(511).ToObject()); πE != nil {
					continue
				}
				if πTemp002, πE = πg.Or(πF, πTemp003, πTemp005); πE != nil {
					continue
				}
				πTemp001[1] = πTemp002
				if πTemp002, πE = πg.ResolveGlobal(πF, ßChmod); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				µerr = πTemp003
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp007, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp007 {
					goto Label1
				}
				goto Label2
				// line 44: if err:
				πF.SetLineno(44)
			Label1:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp002, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 45: raise OSError(err.Error())
				πF.SetLineno(45)
				πE = πF.Raise(πTemp003, nil, nil)
				continue
				goto Label2
			Label2:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßchmod.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 48: def close(fd):
		πF.SetLineno(48)
		πTemp012 = make([]πg.FunctionArg, 1)
		πTemp012[0] = πg.FunctionArg{Name: "fd", Def: nil}
		πTemp006 = πg.NewFunction(πg.NewCode("close", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µfd *πg.Object = πArgs[0]; _ = µfd
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 bool
			_ = πTemp004
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 49: err = Close(fd)
				πF.SetLineno(49)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfd, "fd"); πE != nil {
					continue
				}
				πTemp001[0] = µfd
				if πTemp002, πE = πg.ResolveGlobal(πF, ßClose); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				µerr = πTemp003
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp004 {
					goto Label1
				}
				goto Label2
				// line 50: if err:
				πF.SetLineno(50)
			Label1:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp002, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 51: raise OSError(err.Error())
				πF.SetLineno(51)
				πE = πF.Raise(πTemp003, nil, nil)
				continue
				goto Label2
			Label2:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßclose.ToObject(), πTemp006); πE != nil {
			continue
		}
		// line 54: def fdopen(fd, mode='r'):  # pylint: disable=unused-argument
		πF.SetLineno(54)
		πTemp012 = make([]πg.FunctionArg, 2)
		πTemp012[0] = πg.FunctionArg{Name: "fd", Def: nil}
		πTemp012[1] = πg.FunctionArg{Name: "mode", Def: ßr.ToObject()}
		πTemp007 = πg.NewFunction(πg.NewCode("fdopen", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µfd *πg.Object = πArgs[0]; _ = µfd
			var µmode *πg.Object = πArgs[1]; _ = µmode
			var µ_ *πg.Object = πg.UnboundLocal; _ = µ_
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 bool
			_ = πTemp006
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 56: _, _, err = Syscall(SYS_FCNTL, fd, F_GETFD, 0)
				πF.SetLineno(56)
				πTemp001 = πF.MakeArgs(4)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßSYS_FCNTL); πE != nil {
					continue
				}
				πTemp001[0] = πTemp002
				if πE = πg.CheckLocal(πF, µfd, "fd"); πE != nil {
					continue
				}
				πTemp001[1] = µfd
				if πTemp002, πE = πg.ResolveGlobal(πF, ßF_GETFD); πE != nil {
					continue
				}
				πTemp001[2] = πTemp002
				πTemp001[3] = πg.NewInt(0).ToObject()
				if πTemp002, πE = πg.ResolveGlobal(πF, ßSyscall); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp002}, πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}}}, πTemp003); πE != nil {
					continue
				}
				µ_ = πTemp002
				µ_ = πTemp004
				µerr = πTemp005
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp006 {
					goto Label1
				}
				goto Label2
				// line 57: if err:
				πF.SetLineno(57)
			Label1:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp002, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 58: raise OSError(err.Error())
				πF.SetLineno(58)
				πE = πF.Raise(πTemp003, nil, nil)
				continue
				goto Label2
			Label2:
				// line 59: return NewFileFromFD(fd)
				πF.SetLineno(59)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfd, "fd"); πE != nil {
					continue
				}
				πTemp001[0] = µfd
				if πTemp002, πE = πg.ResolveGlobal(πF, ßNewFileFromFD); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				return πTemp003, nil
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßfdopen.ToObject(), πTemp007); πE != nil {
			continue
		}
		// line 62: def getcwd():
		πF.SetLineno(62)
		πTemp012 = make([]πg.FunctionArg, 0)
		πTemp008 = πg.NewFunction(πg.NewCode("getcwd", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µdir *πg.Object = πg.UnboundLocal; _ = µdir
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 bool
			_ = πTemp004
			var πTemp005 []*πg.Object
			_ = πTemp005
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 63: dir, err = Getwd()
				πF.SetLineno(63)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßGetwd); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp001.Call(πF, nil, nil); πE != nil {
					continue
				}
				if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp001}, πg.TieTarget{Target: &πTemp003}}}, πTemp002); πE != nil {
					continue
				}
				µdir = πTemp001
				µerr = πTemp003
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp004 {
					goto Label1
				}
				goto Label2
				// line 64: if err:
				πF.SetLineno(64)
			Label1:
				πTemp005 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp001, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp001.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp005[0] = πTemp002
				if πTemp001, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp001.Call(πF, πTemp005, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp005)
				// line 65: raise OSError(err.Error())
				πF.SetLineno(65)
				πE = πF.Raise(πTemp002, nil, nil)
				continue
				goto Label2
			Label2:
				// line 66: return dir
				πF.SetLineno(66)
				if πE = πg.CheckLocal(πF, µdir, "dir"); πE != nil {
					continue
				}
				return µdir, nil
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßgetcwd.ToObject(), πTemp008); πE != nil {
			continue
		}
		// line 69: def remove(filepath):
		πF.SetLineno(69)
		πTemp012 = make([]πg.FunctionArg, 1)
		πTemp012[0] = πg.FunctionArg{Name: "filepath", Def: nil}
		πTemp009 = πg.NewFunction(πg.NewCode("remove", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µfilepath *πg.Object = πArgs[0]; _ = µfilepath
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 []*πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 bool
			_ = πTemp005
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				πTemp001 = πF.MakeArgs(1)
				πTemp002 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp002[0] = µfilepath
				if πTemp003, πE = πg.ResolveGlobal(πF, ßstat); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp003.Call(πF, πTemp002, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp002)
				if πTemp003, πE = πg.GetAttr(πF, πTemp004, ßst_mode, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp003, πE = πg.ResolveGlobal(πF, ßstat_module); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, πTemp003, ßS_ISDIR, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				if πTemp005, πE = πg.IsTrue(πF, πTemp003); πE != nil {
					return nil, πE
				}
				if πTemp005 {
					goto Label1
				}
				goto Label2
				// line 70: if stat_module.S_ISDIR(stat(filepath).st_mode):
				πF.SetLineno(70)
			Label1:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				if πTemp003, πE = πg.Add(πF, πg.NewStr("Operation not permitted: ").ToObject(), µfilepath); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp003, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 71: raise OSError('Operation not permitted: ' + filepath)
				πF.SetLineno(71)
				πE = πF.Raise(πTemp004, nil, nil)
				continue
				goto Label2
			Label2:
				// line 72: err = Remove(filepath)
				πF.SetLineno(72)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp001[0] = µfilepath
				if πTemp003, πE = πg.ResolveGlobal(πF, ßRemove); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				µerr = πTemp004
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp005, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp005 {
					goto Label3
				}
				goto Label4
				// line 73: if err:
				πF.SetLineno(73)
			Label3:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp003.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp004
				if πTemp003, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 74: raise OSError(err.Error())
				πF.SetLineno(74)
				πE = πF.Raise(πTemp004, nil, nil)
				continue
				goto Label4
			Label4:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßremove.ToObject(), πTemp009); πE != nil {
			continue
		}
		// line 77: def rmdir(filepath):
		πF.SetLineno(77)
		πTemp012 = make([]πg.FunctionArg, 1)
		πTemp012[0] = πg.FunctionArg{Name: "filepath", Def: nil}
		πTemp010 = πg.NewFunction(πg.NewCode("rmdir", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µfilepath *πg.Object = πArgs[0]; _ = µfilepath
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 []*πg.Object
			_ = πTemp002
			var πTemp003 []*πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 bool
			_ = πTemp006
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				πTemp002 = πF.MakeArgs(1)
				πTemp003 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp003[0] = µfilepath
				if πTemp004, πE = πg.ResolveGlobal(πF, ßstat); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp003, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp003)
				if πTemp004, πE = πg.GetAttr(πF, πTemp005, ßst_mode, nil); πE != nil {
					continue
				}
				πTemp002[0] = πTemp004
				if πTemp004, πE = πg.ResolveGlobal(πF, ßstat_module); πE != nil {
					continue
				}
				if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßS_ISDIR, nil); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp005.Call(πF, πTemp002, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp002)
				if πTemp006, πE = πg.IsTrue(πF, πTemp004); πE != nil {
					continue
				}
				πTemp001 = πg.GetBool(!πTemp006).ToObject()
				if πTemp006, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					return nil, πE
				}
				if πTemp006 {
					goto Label1
				}
				goto Label2
				// line 78: if not stat_module.S_ISDIR(stat(filepath).st_mode):
				πF.SetLineno(78)
			Label1:
				πTemp002 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				if πTemp001, πE = πg.Add(πF, πg.NewStr("Operation not permitted: ").ToObject(), µfilepath); πE != nil {
					continue
				}
				πTemp002[0] = πTemp001
				if πTemp001, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp002, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp002)
				// line 79: raise OSError('Operation not permitted: ' + filepath)
				πF.SetLineno(79)
				πE = πF.Raise(πTemp004, nil, nil)
				continue
				goto Label2
			Label2:
				// line 80: err = Remove(filepath)
				πF.SetLineno(80)
				πTemp002 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp002[0] = µfilepath
				if πTemp001, πE = πg.ResolveGlobal(πF, ßRemove); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp002, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp002)
				µerr = πTemp004
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp006 {
					goto Label3
				}
				goto Label4
				// line 81: if err:
				πF.SetLineno(81)
			Label3:
				πTemp002 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp001, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp002[0] = πTemp004
				if πTemp001, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp002, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp002)
				// line 82: raise OSError(err.Error())
				πF.SetLineno(82)
				πE = πF.Raise(πTemp004, nil, nil)
				continue
				goto Label4
			Label4:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßrmdir.ToObject(), πTemp010); πE != nil {
			continue
		}
		// line 85: class StatResult(object):
		πF.SetLineno(85)
		πTemp002 = make([]*πg.Object, 1)
		if πTemp014, πE = πg.ResolveGlobal(πF, ßobject); πE != nil {
			continue
		}
		πTemp002[0] = πTemp014
		πTemp005 = πg.NewDict()
		if πTemp011, πE = πF.Globals().GetItem(πF, ß__name__.ToObject()); πE != nil {
			continue
		}
		if πE = πTemp005.SetItem(πF, ß__module__.ToObject(), πTemp011); πE != nil {
			continue
		}
		_, πE = πg.NewCode("StatResult", "lib/os/__init__.py", nil, 0, func(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
			πClass := πTemp005
			_ = πClass
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 []πg.FunctionArg
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 []*πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 *πg.Object
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πTemp008 *πg.Object
			_ = πTemp008
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 87: def __init__(self, info):
				πF.SetLineno(87)
				πTemp002 = make([]πg.FunctionArg, 2)
				πTemp002[0] = πg.FunctionArg{Name: "self", Def: nil}
				πTemp002[1] = πg.FunctionArg{Name: "info", Def: nil}
				πTemp001 = πg.NewFunction(πg.NewCode("__init__", "lib/os/__init__.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µinfo *πg.Object = πArgs[1]; _ = µinfo
					var πTemp001 *πg.Object
					_ = πTemp001
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 88: self._info = info
						πF.SetLineno(88)
						if πE = πg.CheckLocal(πF, µinfo, "info"); πE != nil {
							continue
						}
						if πE = πg.Tie(πF, πg.TieTarget{Target: &πTemp001}, µinfo); πE != nil {
							continue
						}
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πE = πg.SetAttr(πF, µself, ß_info, πTemp001); πE != nil {
							continue
						}
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ß__init__.ToObject(), πTemp001); πE != nil {
					continue
				}
				// line 90: def st_mode(self):
				πF.SetLineno(90)
				πTemp002 = make([]πg.FunctionArg, 1)
				πTemp002[0] = πg.FunctionArg{Name: "self", Def: nil}
				πTemp003 = πg.NewFunction(πg.NewCode("st_mode", "lib/os/__init__.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var πTemp001 *πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 92: return self._info.Mode()
						πF.SetLineno(92)
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp001, πE = πg.GetAttr(πF, µself, ß_info, nil); πE != nil {
							continue
						}
						if πTemp002, πE = πg.GetAttr(πF, πTemp001, ßMode, nil); πE != nil {
							continue
						}
						if πTemp001, πE = πTemp002.Call(πF, nil, nil); πE != nil {
							continue
						}
						return πTemp001, nil
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßst_mode.ToObject(), πTemp003); πE != nil {
					continue
				}
				// line 94: st_mode = property(st_mode)
				πF.SetLineno(94)
				πTemp004 = πF.MakeArgs(1)
				if πTemp005, πE = πg.ResolveClass(πF, πClass, nil, ßst_mode); πE != nil {
					continue
				}
				πTemp004[0] = πTemp005
				if πTemp005, πE = πg.ResolveClass(πF, πClass, nil, ßproperty); πE != nil {
					continue
				}
				if πTemp006, πE = πTemp005.Call(πF, πTemp004, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp004)
				if πE = πClass.SetItem(πF, ßst_mode.ToObject(), πTemp006); πE != nil {
					continue
				}
				// line 96: def st_mtime(self):
				πF.SetLineno(96)
				πTemp002 = make([]πg.FunctionArg, 1)
				πTemp002[0] = πg.FunctionArg{Name: "self", Def: nil}
				πTemp005 = πg.NewFunction(πg.NewCode("st_mtime", "lib/os/__init__.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var πTemp001 *πg.Object
					_ = πTemp001
					var πTemp002 []*πg.Object
					_ = πTemp002
					var πTemp003 *πg.Object
					_ = πTemp003
					var πTemp004 *πg.Object
					_ = πTemp004
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 97: return float(self._info.ModTime().UnixNano()) / Second
						πF.SetLineno(97)
						πTemp002 = πF.MakeArgs(1)
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp003, πE = πg.GetAttr(πF, µself, ß_info, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, πTemp003, ßModTime, nil); πE != nil {
							continue
						}
						if πTemp003, πE = πTemp004.Call(πF, nil, nil); πE != nil {
							continue
						}
						if πTemp004, πE = πg.GetAttr(πF, πTemp003, ßUnixNano, nil); πE != nil {
							continue
						}
						if πTemp003, πE = πTemp004.Call(πF, nil, nil); πE != nil {
							continue
						}
						πTemp002[0] = πTemp003
						if πTemp003, πE = πg.ResolveGlobal(πF, ßfloat); πE != nil {
							continue
						}
						if πTemp004, πE = πTemp003.Call(πF, πTemp002, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp002)
						if πTemp003, πE = πg.ResolveGlobal(πF, ßSecond); πE != nil {
							continue
						}
						if πTemp001, πE = πg.Div(πF, πTemp004, πTemp003); πE != nil {
							continue
						}
						return πTemp001, nil
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßst_mtime.ToObject(), πTemp005); πE != nil {
					continue
				}
				// line 99: st_mtime = property(st_mtime)
				πF.SetLineno(99)
				πTemp004 = πF.MakeArgs(1)
				if πTemp006, πE = πg.ResolveClass(πF, πClass, nil, ßst_mtime); πE != nil {
					continue
				}
				πTemp004[0] = πTemp006
				if πTemp006, πE = πg.ResolveClass(πF, πClass, nil, ßproperty); πE != nil {
					continue
				}
				if πTemp007, πE = πTemp006.Call(πF, πTemp004, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp004)
				if πE = πClass.SetItem(πF, ßst_mtime.ToObject(), πTemp007); πE != nil {
					continue
				}
				// line 101: def st_size(self):
				πF.SetLineno(101)
				πTemp002 = make([]πg.FunctionArg, 1)
				πTemp002[0] = πg.FunctionArg{Name: "self", Def: nil}
				πTemp006 = πg.NewFunction(πg.NewCode("st_size", "lib/os/__init__.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var πTemp001 *πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 102: return self._info.Size()
						πF.SetLineno(102)
						if πE = πg.CheckLocal(πF, µself, "self"); πE != nil {
							continue
						}
						if πTemp001, πE = πg.GetAttr(πF, µself, ß_info, nil); πE != nil {
							continue
						}
						if πTemp002, πE = πg.GetAttr(πF, πTemp001, ßSize, nil); πE != nil {
							continue
						}
						if πTemp001, πE = πTemp002.Call(πF, nil, nil); πE != nil {
							continue
						}
						return πTemp001, nil
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßst_size.ToObject(), πTemp006); πE != nil {
					continue
				}
				// line 104: st_size = property(st_size)
				πF.SetLineno(104)
				πTemp004 = πF.MakeArgs(1)
				if πTemp007, πE = πg.ResolveClass(πF, πClass, nil, ßst_size); πE != nil {
					continue
				}
				πTemp004[0] = πTemp007
				if πTemp007, πE = πg.ResolveClass(πF, πClass, nil, ßproperty); πE != nil {
					continue
				}
				if πTemp008, πE = πTemp007.Call(πF, πTemp004, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp004)
				if πE = πClass.SetItem(πF, ßst_size.ToObject(), πTemp008); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}).Eval(πF, πF.Globals(), nil, nil)
		if πE != nil {
			return nil, πE
		}
		if πTemp013, πE = πTemp005.GetItem(πF, ß__metaclass__.ToObject()); πE != nil {
			return nil, πE
		}
		if πTemp013 == nil {
			πTemp013 = πg.TypeType.ToObject()
		}
		if πTemp014, πE = πTemp013.Call(πF, []*πg.Object{πg.NewStr("StatResult").ToObject(), πg.NewTuple(πTemp002...).ToObject(), πTemp005.ToObject()}, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßStatResult.ToObject(), πTemp014); πE != nil {
			continue
		}
		// line 107: def stat(filepath):
		πF.SetLineno(107)
		πTemp012 = make([]πg.FunctionArg, 1)
		πTemp012[0] = πg.FunctionArg{Name: "filepath", Def: nil}
		πTemp011 = πg.NewFunction(πg.NewCode("stat", "lib/os/__init__.py", πTemp012, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µfilepath *πg.Object = πArgs[0]; _ = µfilepath
			var µinfo *πg.Object = πg.UnboundLocal; _ = µinfo
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 bool
			_ = πTemp005
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 108: info, err = Stat(filepath)
				πF.SetLineno(108)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µfilepath, "filepath"); πE != nil {
					continue
				}
				πTemp001[0] = µfilepath
				if πTemp002, πE = πg.ResolveGlobal(πF, ßStat); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp002}, πg.TieTarget{Target: &πTemp004}}}, πTemp003); πE != nil {
					continue
				}
				µinfo = πTemp002
				µerr = πTemp004
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp005, πE = πg.IsTrue(πF, µerr); πE != nil {
					return nil, πE
				}
				if πTemp005 {
					goto Label1
				}
				goto Label2
				// line 109: if err:
				πF.SetLineno(109)
			Label1:
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, µerr, ßError, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp002, πE = πg.ResolveGlobal(πF, ßOSError); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 110: raise OSError(err.Error())
				πF.SetLineno(110)
				πE = πF.Raise(πTemp003, nil, nil)
				continue
				goto Label2
			Label2:
				// line 111: return StatResult(info)
				πF.SetLineno(111)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µinfo, "info"); πE != nil {
					continue
				}
				πTemp001[0] = µinfo
				if πTemp002, πE = πg.ResolveGlobal(πF, ßStatResult); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				return πTemp003, nil
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßstat.ToObject(), πTemp011); πE != nil {
			continue
		}
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "lib/os/__init__.py", nil, 0, initModule)
}
